Creating a filter
Creates a tag filter.
Request
POST
https://api-metrika.yandex.net/management/v1/counter/{counterId}/filters
Path parameters
|
Name |
Description |
|
counterId |
Type: integer ID of the tag that you want to create a filter for. |
Body
application/json
{
"filter": {
"id": 0,
"attr": "example",
"type": "example",
"value": "example",
"action": "example",
"status": "example",
"start_ip": "example",
"end_ip": "example",
"with_subdomains": true
}
}
|
Name |
Description |
|
filter |
Type: FilterE List of structures with information on tag filters. Example
|
FilterE
List of structures with information on tag filters.
|
Name |
Description |
|
action |
Type: string Filter type:
Example: |
|
attr |
Type: string Data type the filter is applied to:
Example: |
|
status |
Type: string Filter status:
Example: |
|
type |
Type: string Filter type or action for filter:
Example: |
|
end_ip |
Type: string The last IP address in the range. Example: |
|
id |
Type: integer Filter ID. Specify this parameter when changing a tag filter. |
|
start_ip |
Type: string The first IP address in the range. Example: |
|
value |
Type: string Filter value. Example: |
|
with_subdomains |
Type: boolean Filter by subdomain. |
Example
{
"id": 0,
"attr": "example",
"type": "example",
"value": "example",
"action": "example",
"status": "example",
"start_ip": "example",
"end_ip": "example",
"with_subdomains": true
}
Responses
200 OK
OK
Body
application/json
{
"filter": {
"id": 0,
"attr": "example",
"type": "example",
"value": "example",
"action": "example",
"status": "example",
"start_ip": "example",
"end_ip": "example",
"with_subdomains": true
}
}
|
Name |
Description |
|
filter |
Type: FilterE List of structures with information on tag filters. Example
|